<?php
namespace SchamsNet\AwsSdkPhp;
/**
 * This file is part of the TYPO3 CMS Extension "AWS SDK for PHP"
 * Extension author: Michael Schams - http://schams.net
 *
 * The AWS SDK for PHP is copyright Amazon.com, Inc. or its affiliates.
 *
 * For copyright and license information, please read the LICENSE.txt
 * file distributed with this source code. For copyright and license
 * information of all AWS SDK for PHP sources and its 3rd party
 * components, please read the license files in the "Contrib" folder
 * and its sub-folders.
 */

class AwsService {

	/**
	 * Constants
	 *
	 * Note: available services can be determined by
	 * cat aws-autoloader.php | egrep "^[[:space:]]*'Aws\\\\" | sed 's;^[[:space:]]*.Aws\\\([^\\]*\).*;\1;g' | tr '[:upper:]' '[:lower:]' | sort | uniq
	 *
	 * @access public
	 * @var constant
	 */
	const AWS_SERVICE_AUTOSCALING =				'autoscaling';
	const AWS_SERVICE_CLOUDFORMATION =			'cloudformation';
	const AWS_SERVICE_CLOUDFRONT =				'cloudfront';
	const AWS_SERVICE_CLOUDSEARCH =				'cloudsearch';
	const AWS_SERVICE_CLOUDSEARCHDOMAIN =		'cloudsearchdomain';
	const AWS_SERVICE_CLOUDTRAIL =				'cloudtrail';
	const AWS_SERVICE_CLOUDWATCH =				'cloudwatch';
	const AWS_SERVICE_CLOUDWATCHLOGS =			'cloudwatchlogs';
	const AWS_SERVICE_CODEDEPLOY =				'codedeploy';
	const AWS_SERVICE_COGNITOIDENTITY =			'cognitoidentity';
	const AWS_SERVICE_COGNITOSYNC =				'cognitosync';
	const AWS_SERVICE_COMMON =					'common';
	const AWS_SERVICE_DATAPIPELINE =			'datapipeline';
	const AWS_SERVICE_DIRECTCONNECT =			'directconnect';
	const AWS_SERVICE_DYNAMODB =				'dynamodb';
	const AWS_SERVICE_EC2 =						'ec2';
	const AWS_SERVICE_ECS =						'ecs';
	const AWS_SERVICE_ELASTICACHE =				'elasticache';
	const AWS_SERVICE_ELASTICBEANSTALK =		'elasticbeanstalk';
	const AWS_SERVICE_ELASTICLOADBALANCING =	'elasticloadbalancing';
	const AWS_SERVICE_ELASTICTRANSCODER =		'elastictranscoder';
	const AWS_SERVICE_EMR =						'emr';
	const AWS_SERVICE_GLACIER =					'glacier';
	const AWS_SERVICE_IAM =						'iam';
	const AWS_SERVICE_IMPORTEXPORT =			'importexport';
	const AWS_SERVICE_KINESIS =					'kinesis';
	const AWS_SERVICE_KMS =						'kms';
	const AWS_SERVICE_LAMBDA =					'lambda';
	const AWS_SERVICE_OPSWORKS =				'opsworks';
	const AWS_SERVICE_RDS =						'rds';
	const AWS_SERVICE_REDSHIFT =				'redshift';
	const AWS_SERVICE_ROUTE53 =					'route53';
	const AWS_SERVICE_ROUTE53DOMAINS =			'route53domains';
	const AWS_SERVICE_S3 =						's3';
	const AWS_SERVICE_SES =						'ses';
	const AWS_SERVICE_SIMPLEDB =				'simpledb';
	const AWS_SERVICE_SNS =						'sns';
	const AWS_SERVICE_SQS =						'sqs';
	const AWS_SERVICE_SSM =						'ssm';
	const AWS_SERVICE_STORAGEGATEWAY =			'storagegateway';
	const AWS_SERVICE_STS =						'sts';
	const AWS_SERVICE_SUPPORT =					'support';
	const AWS_SERVICE_SWF =						'swf';
}
